# Generated from archive-tar-minitar-0.5.2.gem by gem2rpm -*- rpm-spec -*-
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname archive-tar-minitar
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

%global rubyabi 1.8

Summary: Provides POSIX tar archive management from Ruby programs
Name: rubygem-%{gemname}
Version: 0.5.2
Release: 3%{?dist}
Group: Development/Languages
License: GPLv2+ or Ruby
URL: http://rubyforge.org/projects/ruwiki
Source0: http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem
# Reported upstream via
# http://rubyforge.org/tracker/?func=detail&aid=27356&group_id=84&atid=409
Patch0: rubygem-archive-tar-minitar-0.5.2-fix-tests.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: ruby(rubygems)
Requires: ruby(abi) = %{rubyabi}
BuildRequires: ruby(rubygems)
BuildRequires: ruby(abi) = %{rubyabi}
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
Archive::Tar::Minitar is a pure-Ruby library and command-line utility that
provides the ability to deal with POSIX tar(1) archive files. The
implementation is based heavily on Mauricio Ferna'ndez's implementation in
rpa-base, but has been reorganised to promote reuse in other projects.

%package doc
Summary: Documentation for %{name}
Group: Documentation

Requires: %{name} = %{version}-%{release}

%description doc
This package contains documentation for %{name}.

%prep
%setup -q -c -T

mkdir -p .%{gemdir}
gem install -V \
  --local \
  --install-dir $(pwd)/%{gemdir} \
  --force --rdoc \
  %{SOURCE0}

pushd .%{geminstdir}
%patch0 -p0

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* %{buildroot}%{gemdir}/

mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}%{gemdir}/bin/* %{buildroot}/%{_bindir}
rmdir %{buildroot}%{gemdir}/bin
find %{buildroot}%{geminstdir}/bin -type f | xargs chmod a+x

find %{buildroot}%{geminstdir}/{lib,tests} -type f | \
  xargs -n 1 sed -i -e '/^#!\/usr\/bin\/env ruby/d'

find %{buildroot}%{geminstdir}/bin -type f | \
  xargs -n 1 sed -i -e 's"^#!/usr/bin/env ruby"#!/usr/bin/ruby"'

# require_gem is deprecated
# http://rubyforge.org/tracker/?func=detail&aid=22034&group_id=84&atid=409
sed -i 's^require_gem^gem^' %{buildroot}%{geminstdir}/bin/minitar

%clean
rm -rf %{buildroot}

%check
pushd .%{geminstdir}
ruby tests/tc_tar.rb

%files
%defattr(-,root,root,-)
%{_bindir}/minitar
%doc %{geminstdir}/README
%doc %{geminstdir}/ChangeLog
%doc %{geminstdir}/Install
%dir %{geminstdir}

# Rakefile wants to load gemspec which isn't shipped with gem, drop it as it's
# broken for now
%exclude %{geminstdir}/Rakefile
%exclude %{geminstdir}/Install

%{geminstdir}/bin
%{geminstdir}/lib
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-,root,root,-)
%{geminstdir}/tests
%{gemdir}/doc/%{gemname}-%{version}

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 02 2009 Matthew Kent <mkent@magoazul.com> - 0.5.2-2
- Fix license (#531408).
- Exclude Install (#531408).

* Mon Oct 26 2009 Matthew Kent <mkent@magoazul.com> - 0.5.2-1
- Initial package
